### Method

# Json Reader set_root

since: 0.12

#### Declaration [src]

    void
    json_reader_set_root (
      JsonReader* reader,
      JsonNode* root
    )

#### Description [src]

Sets the root node of the JSON tree to be read by `reader`.

The reader will take a copy of the node.

Available since: 0.12

Sets property | `Json.Reader:root`

#### Parameters

`root`

  Type: `JsonNode`

  The root node.

  The argument can be `NULL`.
  The data is owned by the caller of the function.